//ACT - [2020-04-13 11:57:46]
#ifndef _ACT_H_
#define _ACT_H_

#include "CPlayer.h"

/*
0016DA80 ACT_KickSetup(CPlayer *,TKickSetup *,TPoint3D *,bool)
0016DB60 ACT_KickControlAction(int,TKickSetup *,CPlayer *,TPoint3D,TPoint3D)
0016E170 ACT_GetImpactRot(CPlayer *,CPlayer *)
0016E1A4 ACT_TackleSetPlayerState(CPlayer *,int,int,int,EACTION,TActionSetup *)
0016E4B8 ACT_PressureConservativeTackleInit(int,CPlayer *,CPlayer *)
00171DB4 ACT_PressureJostleStandDisable(CPlayer *)
00171DCA ACT_PressureJostleStandEnable(CPlayer *,CPlayer *)
001D2A14 ACT_KickCheckInitialPath(CPlayer *,TPoint,TPoint)
*/

//size: 0x18
struct TKickSetup {
  int filed_0;
  int filed_4;
  int filed_8;
  int filed_C;
  int filed_10;
  sint16 filed_14;
  sint16 filed_16;
};

//0016DA80
void ACT_KickSetup(CPlayer *, TKickSetup *, TPoint3D *, bool);

//0016DB60
void ACT_KickControlAction(int, TKickSetup *, CPlayer *, TPoint3D, TPoint3D);

//0016E170
int ACT_GetImpactRot(CPlayer *, CPlayer *);

//0016E1A4
void ACT_TackleSetPlayerState(CPlayer *, int, int, int, EACTION, TActionSetup *);

//0016E4B8
void ACT_PressureConservativeTackleInit(int, CPlayer *, CPlayer *);

//00171DB4
void ACT_PressureJostleStandDisable(CPlayer *);

//00171DCA
void ACT_PressureJostleStandEnable(CPlayer *, CPlayer *);

//001D2A14
int ACT_KickCheckInitialPath(CPlayer *, TPoint, TPoint);

#endif  //_ACT_H_